Funzioni di PartDesign

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Feature and the translation is 94% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский

Introduzione

Per PartDesign Feature (funzione di PartDesign) si intende a un "passaggio" nel processo di modellazione che si verifica all'interno di un Corpo di PartDesign. Ad esempio, ogni volta che si aggiunge un cubo solido con Cubo additivo, si aggiunge una funzione; quando si aggiunge uno smusso a un bordo con Smusso di PartDesign, si aggiunge un'altra funzione; quando si intaglia un foro usando uno schizzo per creare una Tasca, si aggiunge un'altra funzione.

PartDesign Feature example.png

Editazione delle funzioni in un Corpo di PartDesign con tre funzioni sequenziali.


Esistono molti tipi di funzioni che possono aggiungere o rimuovere del volume da un solido iniziale. La parola "funzione" si riferisce all'operazione stessa e anche al solido risultante dopo tale operazione.

Per ulteriori informazioni sulla creazione di oggetti solidi con PartDesign vedere editazione delle funzioni.

Utilizzo

Quasi tutti gli strumenti di PartDesign hanno lo scopo di aggiungere funzioni a un Corpo. È possibile accedere a questi strumenti dal menu e dai pulsanti della barra degli strumenti mentre è selezionato un oggetto o un sottoelemento (vertice, bordo, faccia).

The features can be placed in different categories:

Eredità

FreeCAD core objects.svg

Diagramma semplificato delle relazioni tra gli oggetti principali del programma. Gli oggetti PartDesign::Feature sono usati per costruire solidi 3D parametrici e quindi sono derivati dall'oggetto base Part::Feature.


Script

Vedere anche: Script di base per FreeCAD, e script di oggetti.

Vedere Part Feature per le informazioni generali su come aggiugere oggetti tramite la console Python.

Vedere Corpo di PartDesign per le informazioni generali su come aggiungere un Corpo. Quando esiste un Corpo, le funzioni possono essere collegate ad esso usando il metodo addObject() del Corpo.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject('PartDesign::Body', 'Body')
obj.Label = "Custom label"

feature = App.ActiveDocument.addObject('PartDesign::AdditiveBox', 'Box')
feature.Width = 200
feature.Length = 300
feature.Height = 500
obj.addObject(feature)
App.ActiveDocument.recompute()

feature2 = App.ActiveDocument.addObject('PartDesign::SubtractiveBox', 'Box')
feature2.Width = 50
feature2.Length = 200
feature2.Height = 400
obj.addObject(feature2)
App.ActiveDocument.recompute()